## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Upstream removed their tests. 🤔
%bcond_with     tests

%global         srcname     azure-mgmt-loganalytics

Name:           python-%{srcname}
Version:        13.0.0~b4
%global         pypi_version    13.0.0b4
Release:        %autorelease
Summary:        Microsoft Azure Log Analytics Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-azure-sdk-tools
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Log Analytics Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Tue Apr 26 2022 Major Hayden <major@mhtx.net> 1:13.0.0~b4-1
- Update to 13.0.0b4

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> 1:13.0.0~b2-1
- Update to 13.0.0b2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:12.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> 1:12.0.0-1
- Update to 12.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:11.0.0-2
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> 1:11.0.0-1
- Update to 11.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:8.0.0-1
- Add epoch number for 8.0.0 downgrade

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 11.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> 11.0.0-2
- Remove %{python3_pkgversion}

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> 11.0.0-1
- Update to 11.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 10.0.0-1
- Initial import (#1971769)
